package com.brilliance.isc.model;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

public class BaseEntity implements Serializable {
    private static final long serialVersionUID = -70962093579139461L;

    //分页信息
    protected Integer pageNum = 1;

    protected Integer pageSize = 10;

    protected Integer total;

    protected Map<String, Object> params;

    public Integer getPageNum() { return pageNum; }

    public void setPageNum(Integer pageNum) { this.pageNum = pageNum; }

    public Integer getPageSize() { return pageSize; }

    public void setPageSize(Integer pageSize) { this.pageSize = pageSize; }

    public Integer getTotal() { return total; }

    public void setTotal(Integer total) { this.total = total; }


    public Map<String, Object> getParams() {
        if(params == null){
            params = new HashMap<>();
        }
        return params;
    }

    public void setParams(Map<String, Object> params) {
        this.params = params;
    }
}
